# Method: advertisers.creatives.list

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.ListCreativesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#try-it)

Lists creatives in an advertiser.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.QUERY_PARAMETERS.order_by` parameter. If a `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.QUERY_PARAMETERS.filter` by `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives#Creative.FIELDS.entity_status` is not specified, creatives with `ENTITY_STATUS_ARCHIVED` will not be included in the results.

### HTTP request

`GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/creatives`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the advertiser to list creatives for. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.ListCreativesResponse.FIELDS.next_page_token` returned from the previous call to `creatives.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `creativeId` (default) - `createTime` - `mediaDuration` - `dimensions` (sorts by width first, then by height) The default sorting order is ascending. To specify descending order for a field, a suffix "desc" should be added to the field name. Example: `createTime desc`. |
| `filter` | `string` Allows filtering by creative fields. Supported syntax: - Filter expressions are made up of one or more restrictions. - Restrictions can be combined by `AND` or `OR` logical operators. A sequence of restrictions implicitly uses `AND`. - A restriction has the form of `{field} {operator} {value}`. - The `lineItemIds` field must use the `HAS (:)` operator. - The `updateTime` field must use the `GREATER THAN OR EQUAL TO (>=)` or `LESS THAN OR EQUAL TO (<=)` operators. - All other fields must use the `EQUALS (=)` operator. - For `entityStatus`, `minDuration`, `maxDuration`, `updateTime`, and `dynamic` fields, there may be at most one restriction. Supported Fields: - `approvalStatus` - `creativeId` - `creativeType` - `dimensions` (input in the form of `{width}x{height}`) - `dynamic` - `entityStatus` - `exchangeReviewStatus` (input in the form of `{exchange}-{reviewStatus}`) - `lineItemIds` - `maxDuration` (input in the form of `{duration}s`. Only seconds are supported) - `minDuration` (input in the form of `{duration}s`. Only seconds are supported) - `updateTime` (input in ISO 8601 format, or `YYYY-MM-DDTHH:MM:SSZ`) Notes: - For `updateTime`, a creative resource's field value reflects the last time that a creative has been updated, which includes updates made by the system (e.g. creative review updates). Examples: - All native creatives: `creativeType="CREATIVE_TYPE_NATIVE"` - All active creatives with 300x400 or 50x100 dimensions: `entityStatus="ENTITY_STATUS_ACTIVE" AND (dimensions="300x400" OR dimensions="50x100")` - All dynamic creatives that are approved by AdX or AppNexus, with a minimum duration of 5 seconds and 200ms: `dynamic="true" AND minDuration="5.2s" AND (exchangeReviewStatus="EXCHANGE_GOOGLE_AD_MANAGER-REVIEW_STATUS_APPROVED" OR exchangeReviewStatus="EXCHANGE_APPNEXUS-REVIEW_STATUS_APPROVED")` - All video creatives that are associated with line item ID 1 or 2: `creativeType="CREATIVE_TYPE_VIDEO" AND (lineItemIds:1 OR lineItemIds:2)` - Find creatives by multiple creative IDs: `creativeId=1 OR creativeId=2` - All creatives with an update time greater than or equal to 2020-11-04T18:54:47Z (format of ISO 8601): `updateTime>="2020-11-04T18:54:47Z"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "creatives": [ { object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives#Creative`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `creatives[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives#Creative`)`` The list of creatives. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v4/advertisers.creatives/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `ListCreativesRequest` method to retrieve the next page of results. If this field is null, it means this is the last page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).